This adds the following features:

1) Command line arg -m4:

  /sbin/conf.d/SuSEconfig.sendmail -m4 will write the sendmail-m4 configuration
  to stdout. (Running this through m4 will result in /etc/sendmail.cf.)
  
  This patch should be included in SuSE 8.0.  VK 22 Apr
  It's not - I have not ported it from SuSE 7.3 for now.  VK 13 Jun 02

2) DNS RBL lookups:

  Add the feature of DNS RBL lookups to SuSEconfig, which can be
  configured via SENDMAIL_DNSRBL in /etc/rc.config.d/sendmail.rc.config

  VK 23 Mar; 13 Jun 2002

3) Masquerade exceptions:

  Domains listed here will not be masqueraded to FROM_HEADER for outgoing mails.
  Configured via MASQUERADE_EXCEPTIONS in /etc/rc.config.d/sendmail.rc.config
  
  VK 23 Mar; 13 Jun 2002

  This functionality is included in SuSE 8.0 and can be set up with yast2, or
  by adding domains for which mail should be received to SENDMAIL_LOCALHOST and
  those domains only which should be masqueraded to MASQUERADE_DOMAINS in
  /etc/sysconfig/sendmail.
  
  VK 9 Jul 2002

4) Trusted users

  Trusted users (who can change their name when sending mail) can be added via
  SENDMAIL_TRUSTEDUSERS in /etc/sysconfig/sendmail

  VK 22 Apr, 13 Jun, 14 Jul 2002


Volker Kuhlmann, 22 Apr, 13 Jun, 9, 14 Jul 2002



--- /etc/sysconfig/orig/sendmail.orig	Fri Apr 26 03:49:40 2002
+++ /etc/sysconfig/sendmail	Sun Jul 14 14:28:33 2002
@@ -10,7 +10,21 @@
 # the local host (this must just be used for names differrent to the
 # hostname, for e.g. aliases like www.nowhere.com)
 #
-SENDMAIL_LOCALHOST="localhost"
+# (
+# Any hosts listed in here will cause reply-to: with the same host name
+# be rewritten to FROM_HEADER in outgoing emails. Starting with SuSE 8.0,
+# headers will only be rewritten if listed in MASQUERADE_DOMAINS.
+# Any host not listed in here will get "relaying denied"... listing
+#    xxx.dnsalias.net	xxx.local
+# or
+#    @xxx.dnsalias.net	@xxx.local
+# or
+#    volker@xxx.dnsalias.net        volker@xxx.local
+# in /etc/mail/virtusertable makes no difference.
+# Volker Kuhlmann, 22 Apr, 9, 10 Jul 2002
+# )
+#
+SENDMAIL_LOCALHOST="localhost xxx.dnsalias.net myname.homeip.net"
 
 #
 # do not deliver any email locally, but send all email to another host
@@ -80,7 +94,20 @@
 # this is useful if you have several domains with disjoint namespaces
 # hosted on the same machine.
 #
-MASQUERADE_DOMAINS=""
+# (
+# Domains listed here will have their headers rewritten, like
+# "Reply-To: user@myhost.dyndns.org" is rewritten by sendmail to
+# "Reply-To: user@$FROM_HEADER" on outgoing mail.
+# To be able to receive mail under the dynamic-DNS name, the name must also be
+# listed in SENDMAIL_LOCALHOST (or a "relaying denied" results).
+# If this list is non-empty, envelope from will be the FDQN and not
+# $FROM_HEADER (resulting in rejects if FDQN is something.local), unless the
+# FDQN is listed here is well.
+# (Space-separated list of domains.)
+# Volker Kuhlmann, 22 Apr, 9, 10 Jul 2002
+# )
+#
+MASQUERADE_DOMAINS="xxx.local myname.homeip.net"
 
 #
 # enable SMTP AUTHENTICATION to other servers if required, possible
@@ -120,3 +147,30 @@
 # normal behaviour at your own risk.
 #
 SENDMAIL_DB_FOLD="yes"
+
+#
+# Use real-time black-hole lists. Sendmail will refuse to receive mail from any
+# IP number which is listed in any of the RBL lookups given here.
+# Space seperated list of host names to query via DNS.
+#     inputs.orbz.org
+#     relays.orbl.org
+#     relays.ordb.org
+#     relays.osirusoft.com
+#     orbs.dorkslayers.com
+#   Costs money (as at Mar 2002):
+#     dialups.mail-abuse.org
+#     blackholes.mail-abuse.org
+#     relays.mail-abuse.org
+# Volker Kuhlmann, 23 Mar 2002
+#
+SENDMAIL_DNSRBL="inputs.orbz.org relays.orbl.org relays.ordb.org relays.osirusoft.com orbs.dorkslayers.com"
+
+#
+# Trusted users. The users listed here (space separated) can use sendmail -f
+# without generating an authentication warning. (These users can probably do
+# other things too.)
+# From SuSE 8.0 onwards, this information must be in /etc/mail/submit.cf instead
+# of in /etc/sendmail.cf.
+# Volker Kuhlmann, 22 Apr, 14 Jul 2002
+#
+SENDMAIL_TRUSTEDUSERS="volker"
--- /sbin/conf.d/SuSEconfig.sendmail.orig	Fri Apr 26 03:49:40 2002
+++ /sbin/conf.d/SuSEconfig.sendmail	Sun Jul 14 14:32:40 2002
@@ -53,6 +53,9 @@
 	VERSIONID(\`@(#)Setup for SuSE Linux	$VERSION (SuSE Linux) $DATE')
 	OSTYPE(\`suse-linux')dnl
 	EOF
+#	test -n "$SENDMAIL_TRUSTEDUSERS" \
+#		&& echo "define(\`confTRUSTED_USERS',"\
+#			"confTRUSTED_USERS\` $SENDMAIL_TRUSTEDUSERS')dnl"
 	if test -n "$SENDMAIL_SMARTHOST" ; then
 		case "$SENDMAIL_SMARTHOST" in
 		*.*.)		;;
@@ -84,6 +87,11 @@
 	if test "$DIALUP" = yes -a -n "$FQHOSTNAME" ; then
 		echo "FEATURE(\`dialup',	\`$FQHOSTNAME')dnl"
 	fi
+	if test -n "$SENDMAIL_DNSRBL"; then
+		for dom in $SENDMAIL_DNSRBL; do
+			echo "FEATURE(dnsbl,\`$dom')dnl"
+		done
+	fi
 	if test -n "$FROM_HEADER" ; then
 		echo "MASQUERADE_AS(\`$FROM_HEADER')dnl"
 		echo "FEATURE(\`masquerade_envelope')dnl"
@@ -193,6 +201,14 @@
 	define(\`confDEAD_LETTER_DROP',		\`/var/log/dead.letter')dnl
 	define(\`HELP_FILE',			 SMLIBDIR\`/helpfile')dnl
 	define(\`confHOSTS_FILE',		\`/etc/hosts')dnl
+	EOF
+	test -n "$SENDMAIL_TRUSTEDUSERS" && cat <<-EOF
+	ifdef(\`confTRUSTED_USERS',dnl
+	\`define(\`confTRUSTED_USERS',	confTRUSTED_USERS\` $SENDMAIL_TRUSTEDUSERS')',dnl
+	\`define(\`confTRUSTED_USERS',	\`$SENDMAIL_TRUSTEDUSERS')'dnl
+	)dnl
+	EOF
+	cat <<-EOF
 	define(\`confCT_FILE',			\`-o /etc/mail/trusted-users %[^\#]')dnl
 	define(\`confCR_FILE',			\`-o /etc/mail/relay-domains %[^\#]')dnl
 	define(\`confSERVICE_SWITCH_FILE',	\`/etc/mail/service.switch')dnl
